# TdApi.InputInlineQueryResultPhoto (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: InputInlineQueryResultPhoto

Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultPhoto

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultPhoto
    extends TdApi.InputInlineQueryResult

Represents link to a JPEG image.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `description` | A short description of the result, if known.
`String` | `id` | Unique identifier of the query result.
`TdApi.InputMessageContent` | `inputMessageContent` | The content of the message to be sent.
`int` | `photoHeight` | Height of the photo.
`String` | `photoUrl` | The URL of the JPEG photo (photo size must not exceed 5MB).
`int` | `photoWidth` | Width of the photo.
`TdApi.ReplyMarkup` | `replyMarkup` | The message reply markup; pass null if none.
`String` | `thumbnailUrl` | URL of the photo thumbnail, if it exists.
`String` | `title` | Title of the result, if known.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`InputInlineQueryResultPhoto()` | Represents link to a JPEG image.
`InputInlineQueryResultPhoto​(DataInput input)` |
`InputInlineQueryResultPhoto​(String id, String title, String description, String thumbnailUrl, String photoUrl, int photoWidth, int photoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` | Represents link to a JPEG image.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### title

public String title
Title of the result, if known.

### description

public String description
A short description of the result, if known.

### thumbnailUrl

public String thumbnailUrl
URL of the photo thumbnail, if it exists.

### photoUrl

public String photoUrl
The URL of the JPEG photo (photo size must not exceed 5MB).

### photoWidth

public int photoWidth
Width of the photo.

### photoHeight

public int photoHeight
Height of the photo.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessagePhoto, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### InputInlineQueryResultPhoto

public InputInlineQueryResultPhoto()
Represents link to a JPEG image.

### InputInlineQueryResultPhoto

public InputInlineQueryResultPhoto​(String id, String title, String description, String thumbnailUrl, String photoUrl, int photoWidth, int photoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents link to a JPEG image.

Parameters:
  `id` - String Unique identifier of the query result.
  `title` - String Title of the result, if known.
  `description` - String A short description of the result, if known.
  `thumbnailUrl` - String URL of the photo thumbnail, if it exists.
  `photoUrl` - String The URL of the JPEG photo (photo size must not exceed 5MB).
  `photoWidth` - int Width of the photo.
  `photoHeight` - int Height of the photo.
  `replyMarkup` - ReplyMarkup The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - InputMessageContent The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessagePhoto, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultPhoto

public InputInlineQueryResultPhoto​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`